Measurement Data
It is highly recommended to make use of measurement webhooks for near real-time transmission from devices. GET requests described on this page should only be used for backfilling data or verifying data.
Retrieving Measurements
Section titled “Retrieving Measurements”If data is either missed or improperly handled by the Measurement Webhook, or a client simply wants to validate the data in their system with the data stored by Tenovi, two Measurement endpoints are available to fetch measurement data on request.
Device Specific Measurement Data Queries
Section titled “Device Specific Measurement Data Queries”All measurements for a given HWI Device are returned. The hwi_device_id must be included in the URL.
GET /clients/{client_domain}/hwi/hwi-devices/{hwi_device_id}/measurements/Details of this API endpoint can be found in our API Reference.
Patient Specific Measurement Data Queries
Section titled “Patient Specific Measurement Data Queries”All measurements for a given Patient ID (optionally set during Device Activation) are returned. The patient_external_id must be included in the URL.
GET /clients/{client_domain}/hwi/patients/{patient_external_id}/measurements/Details of this API endpoint can be found in our API Reference.
Optional Query Parameters
Section titled “Optional Query Parameters”The optional query parameters allow the request to be filtered by metric__name (Examples include blood_pressure, temperature, perfusion_index, weight, pulse, glucose, spO2) or timestamp date greater than or equal to (timestamp__gte) or less than (timestamp__lt) a given timestamp in UTC.
metric__name: stringcreated__gte: ISO 8601 timestamp in UTC (i.e. YYYY–MM–DDTHH:MM:SSZ)created__lt: ISO 8601 timestamp in UTC (i.e. YYYY–MM–DDTHH:MM:SSZ)timestamp__gte: ISO 8601 timestamp in UTC (i.e. YYYY–MM–DDTHH:MM:SSZ)timestamp__lt: ISO 8601 timestamp in UTC (i.e. YYYY–MM–DDTHH:MM:SSZ)
Example Response JSON Schema
Section titled “Example Response JSON Schema”Non-Paginated Response
Section titled “Non-Paginated Response”[ { "metric": "string", "device_name": "string", "hwi_device_id": "string", "patient_id": "string", "hardware_uuid": "string", "sensor_code": "string", "value_1": "string", "value_2": "string", "created": "2019-08-24T14:16:18Z", "timestamp": "2019-08-24T14:15:22Z", "timezone_offset": -2147483648, "estimated_timestamp": false, "filter_params": {} }]Paginated Response
Section titled “Paginated Response”{ "count": 255, "next": "https://api.tenovi.com/clients/{client_domain}/hwi/patients/{id}/measurements/?page=2&page_size=100", "previous": null, "results": [ { "metric": "string", "device_name": "string", "hwi_device_id": "string", "patient_id": "string", "hardware_uuid": "string", "sensor_code": "string", "value_1": "string", "value_2": "string", "created": "2019-08-24T14:16:18Z", "timestamp": "2019-08-24T14:15:22Z", "timezone_offset": -2147483648, "estimated_timestamp": false, "filter_params": {} }, … ]}